Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class DefaultEventDefinition

    java.lang.Object
      |
      +--oracle.portal.provider.v2.EventDefinition
            |
            +--oracle.portal.provider.v2.DefaultEventDefinition

All Implemented Interfaces:
  InitializableXMLObject, Validateable

public class DefaultEventDefinition
extends EventDefinition
implements InitializableXMLObject

DefaultEventDefinition extends EventDefinition to handle getting the the resource bundle for an event from it's parent portlet. It is encouraged for all strings for a portlet to be specified in a single resource bundle, rather than specifying a separate one for each event. Please see `PortletDefinition` for details on how portlets may provide translatable strings.

Constructor Summary
`DefaultEventDefinition()`

Method Summary
`void` | `addParameter(java.lang.Object parameter)` Add a parameter to the event.
`PortletDefinition` | `getParent()`
`java.util.ResourceBundle` | `getResourceBundle(java.util.Locale l)` Gets the resource bundle for this event in the given Locale.
`void` | `postInitialize()` Not used.
`void` | `preInitialize(java.lang.Object parent)` Called during parsing of provider.xml when this object is created.

Methods inherited from class oracle.portal.provider.v2.EventDefinition
`addParameter, getDescription, getDescriptionKey, getDisplayName, getDisplayNameKey, getName, getParameters, setDescription, setDescriptionKey, setDisplayName, setDisplayNameKey, setName, setResource, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEventDefinition

    public DefaultEventDefinition()

Method Detail

### preInitialize

    public void preInitialize(java.lang.Object parent)
                       throws NodeHandlerException

  Called during parsing of provider.xml when this object is created. Used here to store the parent portlet.

  Specified by:
    `preInitialize` in interface `InitializableXMLObject`
  Parameters:
    `parent` - the application object that will become this object's parent
  Throws:
    `NodeHandlerException` - if an error occurs while initializing this application object

### postInitialize

    public void postInitialize()
                        throws NodeHandlerException

  Not used.

  Specified by:
    `postInitialize` in interface `InitializableXMLObject`
  Throws:
    `NodeHandlerException` - if an error occurs while initializing or validating this application object

### getParent

    public PortletDefinition getParent()

  Returns:
    the parent portlet for this event

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(java.util.Locale l)

  Gets the resource bundle for this event in the given Locale.

  Overrides:
    `getResourceBundle` in class `EventDefinition`
  Parameters:
    `l` - the Locale of the resource bundle being requested.
  Returns:
    the resource bundle for this event. null if there isn't one.

### addParameter

    public void addParameter(java.lang.Object parameter)
                      throws PortletException

  Add a parameter to the event. These are the parameters which will be passed with the event when it is raised. They are rendered by the portlet with the event.

  Parameters:
    `parameter` - a `ParameterDefinition`
  Throws:
    `PortletException` - if the given Object is not a valid `ParameterDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.